plugins {
    id 'java'
    id 'com.github.johnrengelman.shadow' version '8.1.1'
    id 'edu.sc.seis.launch4j' version '3.0.5'
}

group = 'tech.nevets'
version = '1.1.0'

repositories {
    mavenCentral()
}

dependencies {
    implementation "com.miglayout:miglayout:3.7.4"
    implementation "com.formdev:flatlaf:3.2.5"
}

jar {
    manifest {
        attributes(
                'Main-Class': 'tech.nevets.dlite.Main'
        )
    }
}

launch4j {
    mainClassName = 'tech.nevets.dlite.Main'
    outfile = 'DiscordLite.exe'
    jarTask = project.tasks.shadowJar
    fileDescription = 'Memory Only Chat Platform'
    icon = "${projectDir}/src/main/resources/icon.ico"
    productName = 'DiscordLite'
    version = "$this.version"
    textVersion = "$this.version"
    bundledJrePath = './jre'
}